package com.jojubanking.boot.module.system.service.xyrw;

import java.util.*;
import javax.validation.*;
import com.jojubanking.boot.module.system.controller.admin.xyrw.vo.*;
import com.jojubanking.boot.module.system.controller.app.xytjinfo.vo.XyrwListReqVO;
import com.jojubanking.boot.module.system.dal.dataobject.xyrw.XyrwDO;
import com.jojubanking.boot.framework.common.pojo.PageResult;

/**
 * 批次信息 Service 接口
 *
 * @author admin
 */
public interface XyrwService {

    /**
     * 创建批次信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createXyrw(@Valid XyrwCreateReqVO createReqVO);

    /**
     * 更新批次信息
     *
     * @param updateReqVO 更新信息
     */
    void updateXyrw(@Valid XyrwUpdateReqVO updateReqVO);
    void updateXyrwByBatch(XyrwUpdateReqVO updateReqVO);
    /**
     * 删除批次信息
     *
     * @param id 编号
     */
    void deleteXyrw(Long id);

    /**
     * 获得批次信息
     *
     * @param id 编号
     * @return 批次信息
     */
    XyrwDO getXyrw(Long id);

    /**
     * 获得批次信息列表
     *
     * @param ids 编号
     * @return 批次信息列表
     */
    List<XyrwDO> getXyrwList(Collection<Long> ids);

    List<XyrwDO> getXyrwSimpleList(XyrwListReqVO exportReqVO);

    /**
     * 获得批次信息分页
     *
     * @param pageReqVO 分页查询
     * @return 批次信息分页
     */
    PageResult<XyrwDO> getXyrwPage(XyrwPageReqVO pageReqVO);

    /**
     * 获得批次信息列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 批次信息列表
     */
    List<XyrwDO> getXyrwList(XyrwExportReqVO exportReqVO);

}
